%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   MIME-tools
%define modv   5.420


Summary:       Perl modules for creating/parsing MIME entities
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/D/DO/DONEILL/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        David O'Neill <dmo@dmo.ca>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path) >= 1
BuildRequires: perl(File::Spec) >= 0.6
BuildRequires: perl(IO::Stringy) >= 1.211
BuildRequires: perl(Mail::Field) >= 1.05
BuildRequires: perl(Mail::Header) >= 1.01
BuildRequires: perl(Mail::Internet) >= 1.03
BuildRequires: perl(MIME::Base64) >= 2.20
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
MIME-tools is a collection of Perl5 MIME:: modules for parsing, decoding,
and generating single or multipart (even nested multipart) MIME messages.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__rm} t/Misc.t
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALLING README*
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sun Nov 09 2008 Peter Pramberger <peterpramb@member.fsf.org> - 5.420-1
- Initial build
